Subject: Re: [feedback-report] Feedback-Type - any traction on others besides abuse?
From: "J.D. Falk" <[email-masked]>
To: [email-masked]
Date: Thu, 27 Oct 2005 13:48:48 -0700
List-Id: Public forum for discussion on the feedback-report draft <abuse-feedback-report.mipassoc.org>

On 2005-10-27 08:26, Jeff Macdonald wrote:

> I see that outblaze has adopted ARF. Luckily I didn't need to modify one
> line of code to handle the new format. However, I realized that my
> system will handle all reports as abuse reports, since that is what the
> mailbox is for.

We'd imagined that most Report Receivers would add some simple code to 
detect the various feedback types and deal with each as appropriate per 
their own policies.

The feedback types are merely advisory; if you as Report Receiver want 
to receive different types at a different address, that's between you 
and the Report Generator.  The format itself doesn't care.

-- 
J.D. Falk, Anti-Spam Product Manager
Yahoo! Communications Platform Team

From: Jeff Macdonald <[email-masked]>
To: [email-masked]
Organization: E-Dialog
Date: Thu, 27 Oct 2005 11:26:42 -0400
Subject: [feedback-report] Feedback-Type - any traction on others besides abuse?

I see that outblaze has adopted ARF. Luckily I didn't need to modify one
line of code to handle the new format. However, I realized that my
system will handle all reports as abuse reports, since that is what the
mailbox is for. Have the early adopters expressed willingness to send
other report types besides abuse?

-- 
:: Jeff Macdonald | Principal Engineer, Messaging Technologies
:: e-Dialog | [email-masked]
:: 131 Hartwell Ave. | Lexington, MA 02421 
:: v: 781-372-1922 | f: 781-863-8118 
:: www.e-dialog.com

Date: Thu, 27 Oct 2005 07:00:02 -0700
From: Steve Atkins <[email-masked]>
To: [email-masked]
Subject: Re: [feedback-report] Changes to web site, group name, etc

On Thu, Oct 27, 2005 at 06:42:18AM -0700, Dave Crocker wrote:
> Folks,
> 
> I should have queried about all this sooner.  There seems to be some 
> interest in making some changes to the ARF web page and maybe even to the 
> mailing list name.  I've modified the web page title to reflect what seems 
> to be your current full name for the group.
> 
> Changing the mailing list name requires creating an entirely new list.
> 
> Changes to the web page are easier, of course, but I'm not sure what 
> changes you folk want.  I need to see something that looks like rough 
> consensus among the group in order to gauge what changes to make. (My 
> natural inclination to charge ahead without worrying about group opinion is 
> frustrated by not have one of my own...)
> 
> The only warning I'll give is to repeat what has already been noted on the 
> list, namely that there is already established practice, reference, etc. 
> for this discussion list and you want to be careful not to confuse the 
> community.

I've been talking to a lot of people about ARF.  I don't think anyone
cares what it stands for, but the acronym is how I've been identifying
the format to people.  If the name changes then much of that work will
be lost, and need to start over. It's likely to be less successful the
second time around.

Cheers,
  Steve

Date: Thu, 27 Oct 2005 06:42:18 -0700
From: Dave Crocker <[email-masked]>
Organization: Brandenburg InternetWorking
To: [email-masked]
Subject: [feedback-report] Changes to web site, group name, etc
Reply-To: [email-masked]

Folks,

I should have queried about all this sooner.  There seems to be some 
interest in making some changes to the ARF web page and maybe even to the 
mailing list name.  I've modified the web page title to reflect what seems 
to be your current full name for the group.

Changing the mailing list name requires creating an entirely new list.

Changes to the web page are easier, of course, but I'm not sure what changes 
you folk want.  I need to see something that looks like rough consensus 
among the group in order to gauge what changes to make. (My natural 
inclination to charge ahead without worrying about group opinion is 
frustrated by not have one of my own...)

The only warning I'll give is to repeat what has already been noted on the 
list, namely that there is already established practice, reference, etc. for 
this discussion list and you want to be careful not to confuse the community.

d/

ps. I'm not sure the web page points to the current version of the doc. 
Please let me know if that needs changing, too.

Date: Mon, 24 Oct 2005 22:44:06 -0700
From: Steve Atkins <[email-masked]>
To: [email-masked]
Subject: [feedback-report] Another ARF resource

I've cleaned up http://arf.word-to-the-wise.com/ and provided some
tools and links to assorted ARF information. If there's anything
I'm missing, I'd appreciate an update.

Also, if anyone is offering ARF based feedback loops I'd be happy to
provide detailed information as to how to sign up for those loops.

I haven't linked to the site from anywhere yet; if people could
check it for accuracy before I do that'd be a good thing.

Cheers,
  Steve

Date: Mon, 17 Oct 2005 10:37:26 -0700
From: "Carl S. Gutekunst" <[email-masked]>
Organization: Habeas, Inc.
To: Dennis Dayman <[email-masked]>
Subject: Re: [feedback-report] Upcoming -02 ARF draft
Cc: [email-masked]

Dennis Dayman wrote:

>They state that the word "abuse" is a report-type and because the reporting
>standard reports on more than just abuse, we should change the 
>name to something like "Feedback-Report-Format" or something
>other than a name that contains one of the report-types in it
>  
>
How would you pronounce it? "Ferf" ? :-)

The original name of the working group and Yakov's original draft was 
"abuse reporting." At my request and with the consent of the group, 
Yakov changed the name and language of the draft to "feedback reporting" 
and added the feedback type field. My intent in doing so was to remove 
the stigma associated with the term "abuse" (most of the "complaints" we 
receive here at Habeas are really unsubscribe requests) and to provide 
the opportunity for Receivers (e.g., AOL and Outblaze) to differentiate 
among different complaint streams. (We'd love it if the clients had 
seperate buttons for "this is spam" and "remove me from this list.")

The name "ARF" was coined by Steve Atkins:

>I propose "ARF".
>
>It's an acronynm for "abuse reporting format" and the sound made by
>a small, annoying dog, both of which seem quite appropriate.
>
>(If you don't like "abuse reporting format", how about "arbitrary
> reporting format" or "accessible reporting format"?)
>
Dave Crocker further commented:

>thank heavens it isn't a binary format.
>
>but i suppose your current acronym suggests that the internet is going 
>to the dogs.
>
At this point, the name "ARF" is so well established amongst 
non-technical folks that I'm loath to change it. If someone wants to 
substitute a different word for the "A", be my guest.

<csg>

From: "Dennis Dayman" <[email-masked]>
To: "'McKenna Gene - gemcke'" <[email-masked]>, "'Yakov Shafranovich'" <[email-masked]>, <[email-masked]>
Subject: RE: [feedback-report] Upcoming -02 ARF draft
Date: Mon, 17 Oct 2005 12:35:05 -0500
Cc: 

Thanks for the clue-batting Gene! Sorry for the confusion.

-Dennis

> -----Original Message-----
> From: McKenna Gene - gemcke [mailto:[email-masked]] 
> Sent: Monday, October 17, 2005 12:08 PM
> To: Dennis Dayman; Yakov Shafranovich; 
> [email-masked]
> Subject: RE: [feedback-report] Upcoming -02 ARF draft
> 
> 
> Actually the document is fine. The current draft is titled 
> "An Extensible Format for Email Feedback Reports". It is all 
> the other external references to the document that seem to 
> still be using a name like "Abuse Report". I believe the 
> document changed some time ago and external links, references 
> and personal habits have not been updated. 
> 
> Feedback is the more general term. Abuse is one type of 
> feedback that may be communicated in these feedback reports. 
> 
> Here are some examples where confusion might come in. One can 
> follow a link at http://www.mipassoc.org/arf/index.html that 
> says "Abuse Reporting Format" but leads to a document called 
> "An Extensible Format for Email Feedback Reports".
> 
> Down with ARF
> Viva FRF
> 
> Gene
> 
> 
> Gene McKenna
> VP Product Management
> Digital Impact Inc. an ACXIOM Company
> (650) 356-3661
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]] On Behalf 
> Of Dennis Dayman
> Sent: Monday, October 17, 2005 9:56 AM
> To: 'Yakov Shafranovich'; [email-masked]
> Subject: RE: [feedback-report] Upcoming -02 ARF draft
> 
> Some people have expressed concerns in terms of confusion 
> around the naming of the document. 
> 
> They state that the word "abuse" is a report-type and because 
> the reporting standard reports on more than just abuse, we 
> should change the name to something like 
> "Feedback-Report-Format" or something other than a name that 
> contains one of the report-types in it
> 
> -Dennis
>  
> 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]] On 
> Behalf Of Yakov 
> > Shafranovich
> > Sent: Sunday, October 16, 2005 11:48 PM
> > To: [email-masked]
> > Subject: [feedback-report] Upcoming -02 ARF draft
> > 
> > The existing -01 draft will expire on November 13th, 2005 
> and I have 
> > been working on the new -02 draft. I am hoping to get a -02pre1 
> > version out some time in the next two weeks with the final draft 
> > hopefully finished before the -01 expires.
> > 
> > First of all, I wanted to mention that the standard itself is not 
> > changing. I haven't seen any significant issues or feedback 
> with the 
> > way it is setup now, therefore I do not plan on changing the actual 
> > format.
> > The version number will therefore stay the same ("0.1").
> > 
> > HOWEVER, what I do plan on doing is making the actual draft more 
> > readable, addressing some of the comments from the 
> IETF-SMTP list and 
> > explaining how extensibility works (see my other list 
> message). I also 
> > want to add an ABNF section if possible.
> > 
> > I also would like to know whether any other changes are necessary.
> > 
> > Yakov
> > 
> > _______________________________________________
> > abuse-feedback-report mailing list
> > [email-masked]
> > http://mipassoc.org/mailman/listinfo/abuse-feedback-report
> > 
> 
> 
> _______________________________________________
> abuse-feedback-report mailing list
> [email-masked]
> http://mipassoc.org/mailman/listinfo/abuse-feedback-report
> **************************************************************
> ************
> The information contained in this communication is 
> confidential, is intended only for the use of the recipient 
> named above, and may be legally privileged.
> 
> If the reader of this message is not the intended recipient, 
> you are hereby notified that any dissemination, distribution 
> or copying of this communication is strictly prohibited.
> 
> If you have received this communication in error, please 
> resend this communication to the sender and delete the 
> original message or any copy of it from your computer system.
> 
> Thank You.
> **************************************************************
> ************
> 

From: Douglas Otis <[email-masked]>
Subject: Re: [feedback-report] ARF Extensibility
Date: Mon, 17 Oct 2005 10:14:12 -0700
To: Yakov Shafranovich <[email-masked]>
Cc: [email-masked]

On Oct 16, 2005, at 9:48 PM, Yakov Shafranovich wrote:

>
> c. The new header must be in use on the Internet itself (as opposed to
> some private network where only a set number of players participate  
> in).

I find this definition offering little in the way of guidance. Of  
course the headers would be seen on the Internet, and not some  
private network.  By limited number of players, what does that mean?   
Would Apple, Microsoft, and Sun be a limited number of players?

-Doug

From: Douglas Otis <[email-masked]>
Subject: Re: [feedback-report] Upcoming -02 ARF draft
Date: Mon, 17 Oct 2005 10:06:18 -0700
To: Dennis Dayman <[email-masked]>
Cc: [email-masked]

On Oct 17, 2005, at 9:55 AM, Dennis Dayman wrote:

> Some people have expressed concerns in terms of confusion around  
> the naming
> of the document.
>
> They state that the word "abuse" is a report-type and because the  
> reporting
> standard reports on more than just abuse, we should change the
> name to something like "Feedback-Report-Format" or something
> other than a name that contains one of the report-types in it
>

Our interest in this report form is only with respect to abuse  
reporting.  The draft also makes that the primary objective.  There  
are other forms that are intended to be general purpose.  The point  
was to make this report more specific for abuse reporting.

-Doug 

From: "Dennis Dayman" <[email-masked]>
To: "'Yakov Shafranovich'" <[email-masked]>, <[email-masked]>
Subject: RE: [feedback-report] Upcoming -02 ARF draft
Date: Mon, 17 Oct 2005 11:55:32 -0500
Cc: 

Some people have expressed concerns in terms of confusion around the naming
of the document. 

They state that the word "abuse" is a report-type and because the reporting
standard reports on more than just abuse, we should change the 
name to something like "Feedback-Report-Format" or something
other than a name that contains one of the report-types in it

-Dennis

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf 
> Of Yakov Shafranovich
> Sent: Sunday, October 16, 2005 11:48 PM
> To: [email-masked]
> Subject: [feedback-report] Upcoming -02 ARF draft
> 
> The existing -01 draft will expire on November 13th, 2005 and 
> I have been working on the new -02 draft. I am hoping to get 
> a -02pre1 version out some time in the next two weeks with 
> the final draft hopefully finished before the -01 expires.
> 
> First of all, I wanted to mention that the standard itself is 
> not changing. I haven't seen any significant issues or 
> feedback with the way it is setup now, therefore I do not 
> plan on changing the actual format.
> The version number will therefore stay the same ("0.1").
> 
> HOWEVER, what I do plan on doing is making the actual draft 
> more readable, addressing some of the comments from the 
> IETF-SMTP list and explaining how extensibility works (see my 
> other list message). I also want to add an ABNF section if possible.
> 
> I also would like to know whether any other changes are necessary.
> 
> Yakov
> 
> _______________________________________________
> abuse-feedback-report mailing list
> [email-masked]
> http://mipassoc.org/mailman/listinfo/abuse-feedback-report
> 

Date: Mon, 17 Oct 2005 00:48:29 -0400
From: Yakov Shafranovich <[email-masked]>
Organization: SolidMatrix Technologies, Inc.
To: [email-masked]
Subject: [feedback-report] Upcoming -02 ARF draft

The existing -01 draft will expire on November 13th, 2005 and I have
been working on the new -02 draft. I am hoping to get a -02pre1 version
out some time in the next two weeks with the final draft hopefully
finished before the -01 expires.

First of all, I wanted to mention that the standard itself is not
changing. I haven't seen any significant issues or feedback with the way
it is setup now, therefore I do not plan on changing the actual format.
The version number will therefore stay the same ("0.1").

HOWEVER, what I do plan on doing is making the actual draft more
readable, addressing some of the comments from the IETF-SMTP list and
explaining how extensibility works (see my other list message). I also
want to add an ABNF section if possible.

I also would like to know whether any other changes are necessary.

Yakov

Date: Mon, 17 Oct 2005 00:48:18 -0400
From: Yakov Shafranovich <[email-masked]>
Organization: SolidMatrix Technologies, Inc.
To: [email-masked]
Subject: [feedback-report] ARF Extensibility

There has been some talk off and on list about ARF extensibility. Since
I am working on the -02 draft, I wanted to clear this up:

There are two areas where ARF is extensible: new headers and new feed
back types. Both are to be maintained via an IANA registry, however to
make it easier additions to the registries will only need approval of an
IESG designated expert - a process which is much shorter than the full
IETF gamut.

Additionally, I have been thinking about the following two set of
guidelines for these registries (please let me know if I am off-key here):

1. Header registry - ARF headers included in part 2 of the format
provide meta data which is not readily available in the original email
message itself (part 3). Therefore to me it seems logical that the
following guidelines should be used by the IESG expert in deciding on
new additions to the header registry (which I will hopefully put into
the -02 draft):
a. The new header must provide metadata not already available in the
email message itself (or readily).
b. The new header must be intended for public use (two organizations
using a private header have to relevance to the public Internet).
c. The new header must be in use on the Internet itself (as opposed to
some private network where only a set number of players participate in).
d. The new header must not replicate information already provided by an
existing header.

2. Feedback type registry:
a. The new type must be unique and not covered by any existing type.
b. The new type must be intended for public use.
c. The new type must be intended for use on the Internet.

These are some of my thoughts, and I am wondering if I am off-base here.

Yakov